Chrome でプラグインベースのコンテンツが動作しない

Chrome では多くのプラグインがサポート終了となりました。これらの機能のほとんどは、既により安全な方法でウェブサイトに組み込まれています。

NPAPI プラグインが動作しない理由

以前は多くのプラグインが NPAPI という古いシステムで開発されていましたが、現在 NPAPI プラグインを使用するサイトは少なくなりました。NPAPI プラグインは、ウェブサイトにセキュリティ リスクをもたらす要因にもなっています。

Chrome をより安全に、高速に、安定してお使いいただけるように、Google では 2015 年 9 月 1 日をもって NPAPI プラグインのサポートを終了しました。

Silverlight、Java、Unity など NPAPI を使用しているプラグインは動作しなくなります。

NPAPI を使用するウェブサイトへのアクセス

NPAPI プラグインを有効にすることはできなくなりました。NPAPI プラグインを使用したウェブサイトを利用するには、別のウェブブラウザを使用してください。

今後も動作する PPAPI プラグイン

Pepper API(PPAPI)という比較的新しく安全性の高いシステムを使用しているプラグインは、これまでどおり動作します。たとえば、Adobe Flash など Chrome に付属のプラグインは動作します。PPAPI プラグインは Chrome の更新時に一緒に更新されるため、インストールなどの作業は必要ありません。

Chrome の更新方法をご確認ください。

Flash の問題を解決する

Flash が動作しない場合は、次の解決方法をお試しください。

手順 1: PPAPI プラグインを有効にします。

  1. Chrome を起動します。
  2. 上部のアドレスバーに「chrome://plugins」と入力し、Enter キーを押します。
  3. [詳細] をクリックします。
  4. 「Adobe Flash Player」までスクロールします。
  5. [タイプ: PPAPI] の下で [有効にする] をクリックします。

手順 2: Chrome が最新であることを確認します。 Adobe Flash Player は Chrome をインストールすると自動的にインストールされ、Chrome の更新時に一緒に更新されます。

Chrome の更新で問題が発生する場合は、Chrome の更新に関する問題を解決するをご覧ください。

手順 3: Adobe Flash Player を手動で更新します。

  1. Chrome を起動します。
  2. 上部のアドレスバーに「chrome://components」と入力し、Enter キーを押します。
  3. 「pepper_flash」の下で [アップデートを確認] をクリックします。

Silverlight、Java、Unity など NPAPI を使用しているプラグインは動作しなくなります。

このページを作成した Google Chrome のエキスパートに転送いたしますので、このページに関するご意見やご感想をご記入ください。

この記事は役に立ちましたか?